Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513152 - Review Request: ghc-lens-aeson - Law-abiding lenses for aeson
Summary: Review Request: ghc-lens-aeson - Law-abiding lenses for aeson
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1513166
TreeView+ depends on / blocked
 
Reported: 2017-11-14 20:14 UTC by David Shea
Modified: 2017-11-28 23:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 23:49:30 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)
Build logs (deleted)
2017-11-15 03:57 UTC, Omer Anson
no flags Details

Comment 1 Omer Anson 2017-11-15 03:56:29 UTC
rpmlint on src rpm says:
Error checking signature of ./ghc-lens-aeson-1.0.2-3.fc27.src.rpm: ./ghc-lens-aeson-1.0.2-3.fc27.src.rpm: digests SIGNATURES NOT OK

with rpm -Kv adding:
    Header V3 RSA/SHA1 Signature, key ID 76551145: NOKEY
    V3 RSA/SHA1 Signature, key ID 76551145: NOKEY

Changelog in spec file does not match package site.

Mock build failed with (log attached):
+ ghc --make -no-user-package-db -dynamic Setup
/usr/lib64/ghc-8.0.2/package.conf.d/package.cache: openBinaryFile: does not exist (No such file or directory)

Possibly missing dependency?

Comment 2 Omer Anson 2017-11-15 03:57:41 UTC
Created attachment 1352361 [details]
Build logs

Build logs from command:

mock -r /etc/mock/fedora-rawhide-x86_64.cfg ghc-lens-aeson-1.0.2-3.fc27.src.rpm

Comment 3 Robert-André Mauchin 2017-11-15 13:39:07 UTC
(In reply to Omer Anson from comment #1)
> 
> Mock build failed with (log attached):
> + ghc --make -no-user-package-db -dynamic Setup
> /usr/lib64/ghc-8.0.2/package.conf.d/package.cache: openBinaryFile: does not
> exist (No such file or directory)
> 
> Possibly missing dependency?

See mock bug #1467299. Run mock with --old-chroot or fedora-review with -o="--old-chroot".

Comment 4 Robert-André Mauchin 2017-11-15 13:51:34 UTC
All good, package accepted.

Comment 5 Gwyn Ciesla 2017-11-15 15:56:23 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-lens-aeson

Comment 6 Fedora Update System 2017-11-17 18:54:05 UTC
ghc-lens-aeson-1.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a4bfd15ee

Comment 7 Fedora Update System 2017-11-28 23:49:30 UTC
ghc-lens-aeson-1.0.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.